# REST-API-Endpunkte für Interaktionen in der Organisation

Verwende die REST-API, um vorübergehend einzuschränken, welcher Benutzertyp in den öffentlichen Repositorys der Organisation Kommentare eingeben, Issues eröffnen oder Pull Requests erstellen darf.

## Informationen zu Organisationsinteraktionen

Organisationsbesitzer können vorübergehend einschränken, welcher Benutzertyp in den öffentlichen Repositorys der Organisation Kommentare eingeben, Issues eröffnen oder Pull Requests erstellen darf. Wenn Einschränkungen aktiviert sind, kann nur der angegebene Typ von GitHub-Benutzerkonto an Interaktionen teilnehmen. Einschränkungen laufen nach einem definierten Zeitraum automatisch ab. Hier findest du weitere Informationen zu den Typen von GitHub-Benutzern:

* **Vorhandene Benutzer**: Wenn du Interaktionen auf `existing_users` beschränkst, werden neue Benutzer, deren Konten noch keine 24 Stunden alt sind, die noch keinen Beitrag geleistet haben und die keine Mitarbeiter sind, vorübergehend eingeschränkt. in der Organisation.
* **Nur Mitwirkende:** Wenn du Interaktionen auf `contributors_only` beschränkst, werden Benutzer, die zuvor nicht mitgewirkt haben und keine Projektmitarbeiter sind, vorübergehend eingeschränkt. in der Organisation.
* **Nur Mitarbeiter**: Wenn du Interaktionen auf `collaborators_only` beschränkst, werden Benutzer, die keine Mitarbeiter sind, vorübergehend eingeschränkt. in der Organisation.

Durch Festlegen des Interaktionslimits auf Organisationsebene werden alle Interaktionsbeschränkungen überschrieben, die für einzelne Repositorys im Besitz der Organisation festgelegt sind. Verwende stattdessen die [Repositoryinteraktionsendpunkte](/de/rest/interactions/repos), um unterschiedliche Interaktionslimits für einzelne Repositorys festzulegen, die der Organisation gehören.

> \[!NOTE]
> Most endpoints use `Authorization: Bearer <YOUR-TOKEN>` and `Accept: application/vnd.github+json` headers, plus `X-GitHub-Api-Version: 2026-03-10`. Curl examples below omit these standard headers for brevity.

## Get interaction restrictions for an organization

```
GET /orgs/{org}/interaction-limits
```

Shows which type of GitHub user can interact with this organization and when the restriction expires. If there is no restrictions, you will see an empty response.

### Parameters

#### Headers

* **`accept`** (string)
  Setting to `application/vnd.github+json` is recommended.

#### Path and query parameters

* **`org`** (string) (required)
  The organization name. The name is not case sensitive.

### HTTP response status codes

* **200** - OK

### Code examples

#### Example

**Request:**

```curl
curl -L \
  -X GET \
  https://api.github.com/orgs/ORG/interaction-limits
```

**Response schema (Status: 200):**

* any of:
  * **Interaction Limits**
    * `limit`: required, string, enum: `existing_users`, `contributors_only`, `collaborators_only`
    * `origin`: required, string
    * `expires_at`: required, string, format: date-time
  * **object**

## Set interaction restrictions for an organization

```
PUT /orgs/{org}/interaction-limits
```

Temporarily restricts interactions to a certain type of GitHub user in any public repository in the given organization. You must be an organization owner to set these restrictions. Setting the interaction limit at the organization level will overwrite any interaction limits that are set for individual repositories owned by the organization.

### Parameters

#### Headers

* **`accept`** (string)
  Setting to `application/vnd.github+json` is recommended.

#### Path and query parameters

* **`org`** (string) (required)
  The organization name. The name is not case sensitive.

#### Body parameters

* **`limit`** (string) (required)
  The type of GitHub user that can comment, open issues, or create pull requests while the interaction limit is in effect.
  Can be one of: `existing_users`, `contributors_only`, `collaborators_only`

* **`expiry`** (string)
  The duration of the interaction restriction. Default: one\_day.
  Can be one of: `one_day`, `three_days`, `one_week`, `one_month`, `six_months`

### HTTP response status codes

* **200** - OK

* **422** - Validation failed, or the endpoint has been spammed.

### Code examples

#### Example

**Request:**

```curl
curl -L \
  -X PUT \
  https://api.github.com/orgs/ORG/interaction-limits \
  -d '{
  "limit": "collaborators_only",
  "expiry": "one_month"
}'
```

**Response schema (Status: 200):**

* `limit`: required, string, enum: `existing_users`, `contributors_only`, `collaborators_only`
* `origin`: required, string
* `expires_at`: required, string, format: date-time

## Remove interaction restrictions for an organization

```
DELETE /orgs/{org}/interaction-limits
```

Removes all interaction restrictions from public repositories in the given organization. You must be an organization owner to remove restrictions.

### Parameters

#### Headers

* **`accept`** (string)
  Setting to `application/vnd.github+json` is recommended.

#### Path and query parameters

* **`org`** (string) (required)
  The organization name. The name is not case sensitive.

### HTTP response status codes

* **204** - No Content

### Code examples

#### Example

**Request:**

```curl
curl -L \
  -X DELETE \
  https://api.github.com/orgs/ORG/interaction-limits
```

**Response schema (Status: 204):**

## Get pull request creation cap for an org

```
GET /orgs/{org}/interaction-limits/pulls/creation-cap
```

Gets the pull request creation cap configuration for an organization.
The cap limits the total number of open pull requests a user can have across all public
repositories in the organization at one time.
Only users with admin access to the organization can view the cap configuration.

### Parameters

#### Headers

* **`accept`** (string)
  Setting to `application/vnd.github+json` is recommended.

#### Path and query parameters

* **`org`** (string) (required)
  The organization name. The name is not case sensitive.

### HTTP response status codes

* **200** - OK

* **403** - Forbidden

* **404** - Resource not found

* **405** - Method Not Allowed

### Code examples

#### Example

**Request:**

```curl
curl -L \
  -X GET \
  https://api.github.com/orgs/ORG/interaction-limits/pulls/creation-cap
```

**Response schema (Status: 200):**

* `enabled`: required, boolean
* `max_open_pull_requests`: required, integer, minimum: 1, maximum: 1000

## Update pull request creation cap for an org

```
PATCH /orgs/{org}/interaction-limits/pulls/creation-cap
```

Updates the pull request creation cap for an organization. The cap limits the total number
of open pull requests a user can have across all public repositories in the organization
at one time.
Only users with admin access to the organization can configure the cap.

### Parameters

#### Headers

* **`accept`** (string)
  Setting to `application/vnd.github+json` is recommended.

#### Path and query parameters

* **`org`** (string) (required)
  The organization name. The name is not case sensitive.

#### Body parameters

* **`enabled`** (boolean) (required)
  Whether the pull request creation cap is enabled

* **`max_open_pull_requests`** (integer)
  The maximum number of open pull requests a user can have at one time

### HTTP response status codes

* **200** - OK

* **403** - Forbidden

* **404** - Resource not found

* **405** - Method Not Allowed

* **422** - Validation failed, or the endpoint has been spammed.

### Code examples

#### Example request body

**Request:**

```curl
curl -L \
  -X PATCH \
  https://api.github.com/orgs/ORG/interaction-limits/pulls/creation-cap \
  -d '{
  "enabled": true,
  "max_open_pull_requests": 1
}'
```

**Response schema (Status: 200):**

Same response schema as [Get pull request creation cap for an org](#get-pull-request-creation-cap-for-an-org).